Subject: Re: bug#34481: 27.0.50; cl-flet, cl-labels and lambda expressions

From: Michael Heerdegen <[email-masked]>
Date: Thu, 17 Oct 2019 14:31:07 +0200

Stefan Kangas <[email-masked]> writes:

> > I don't think it could make it worse.  I also think now that it should
> > be correct.  AFAIU `def-form' doesn't need to be used but I think I
> > should use `function-form' instead of `form' so that quoted lambdas are
> > supported as well.
>
> Sounds good to me.  No one seems to object, so I'd suggest you go
> ahead and push it to master.

Ok, will do tonight.

BTW, do you have an opinion about allowing (SYMBOL LAMBDA-EXPR) binding
syntax for cl-labels and cl-macrolet?  The reason why I want this is (1)
I often try to use this syntax and it doesn't work, and (2) it indents
more nicely.  Or do you even have a nice idea of how to fix the
indentation problem?

Michael.